#version 330 core

layout(location = 0) in vec4 positions;
layout(location = 1) in vec4 colourVs;

uniform mat4 mvp;

out vec2 texcoord;
out vec4 colour;

void main(void)
{
    gl_Position = mvp * vec4(positions.xy, 0.0, 1.0);
    texcoord = positions.zw;
    colour = colourVs;
}
